+ Post New Thread
Page 5 of 582 FirstFirst ... 3 4 5 6 7 15 55 105 505 ... LastLast
Threads 101 to 125 of 14532

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 49,920
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 55,420
    18th Sep 2006 10:46 pm Go to last post
  1. change width factor of attributed text and single line text

    Hello all, got a little text style problem over here Background info: I am trying to tackle the problem of making a searchable PDF from a drawing with simplex font. From what I have read that...

    Started by aggie_moose‎, 25th Jun 2014 05:44 pm
    • Replies: 6
    • Views: 2,609
    30th Jul 2016 12:27 am Go to last post
  2. Issue with Dos_multilist in Doslib for Acad 2017

    Hello, Do you know about issues with dos_multilist for Acad 2017? I had a lisp that worked perfect until I switched to Acad 2017 and I start getting this message: " error:no function...

    Started by tazzzz‎, 29th Jul 2016 09:08 pm
    • Replies: 2
    • Views: 213
    29th Jul 2016 09:39 pm Go to last post
  3. [Civil 3D] How to get a point location of Section View.

    How to get a point location of Section View? Section View is an object existing only in Civil 3D. I am looking for the properties using: (defun c:prop (/ p1 p2) (vl-load-com) (setq p1...

    Started by Kowal‎, 29th Jul 2016 09:11 am
    • Replies: 1
    • Views: 185
    29th Jul 2016 04:26 pm Go to last post
  4. Improve '3P-RecV1-0' to extend its use

    Hello, I often use this lisp made by Lee Mac to draw rotated rectangles in a easy and smart way. I would love if it has a few more features that could make it really fantastic and extend its use....

    Started by marmo‎, 12th Jul 2016 09:31 am
    • Replies: 5
    • Views: 410
    29th Jul 2016 02:34 pm Go to last post
  5. Section between two polylines

    Hello to all, I have two polylines - first big "source" and second cutting polyline. I want to find points list of section for these two polylines. One list with one part of first polyline and...

    Started by vlisp‎, 28th Jul 2016 05:58 pm
    • Replies: 5
    • Views: 290
    29th Jul 2016 04:43 am Go to last post
  6. Use Block in Array

    I have a simple block in my drawing file called "JC". I would like to use the array command to copy this block into a single row with 12 columns. I can do it using the command line but can't seem to...

    Started by Bill Tillman‎, 26th Jul 2016 09:23 pm
    • Replies: 2
    • Views: 237
    28th Jul 2016 10:31 pm Go to last post
  7. Rename multiple layouts

    Well, I'm using AutoCAD Civil 3D 2015 and working on a project with several layouts. From time to time, I have to copy and paste multiple layouts throught projects, and they get messed up when it...

    Started by danpp‎, 19th Apr 2016 09:10 pm
    • Replies: 9
    • Views: 887
    28th Jul 2016 07:23 pm Go to last post
  8. To List multipolygon vertices

    Hi , is there any command to list the vertex of a multipolygon? Cause, when I have a polygon I can use (entget (car (entsel))) and recover its vertex. But how could I do this in a multipolygon? ...

    Started by gisanalyst‎, 27th Jul 2016 03:10 pm
    autocad, lisp, multipolygon
    • Replies: 4
    • Views: 280
    28th Jul 2016 12:34 pm Go to last post
  9. LSP for saving and restoring specific states of multiple layers

    I am looking for a lsp command that I can use at the beginning of an existing lsp file to save the frozen/thawed, on/off and locked states of multiple layers and then at the end of my lsp file...

    Started by neodd70‎, 26th Jul 2016 10:18 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 476
    28th Jul 2016 10:48 am Go to last post
  10. Filter textcontent and place in layer

    Hello, i got an GPS Survey readout and i use some program to translate it to an autocad drawing. Problem in this is that the conversion places everything (insertion point and some mtext labels)...

    Started by OMEGA-ThundeR‎, 27th Jul 2016 11:54 am
    • Replies: 3
    • Views: 247
    28th Jul 2016 04:25 am Go to last post
  11. Extract OBJECT DATA in Lisp

    GIS Mapping I have a drawing from the County containing every Lot in the County. The lots are Closed Polylines, with Object Data containing the Block and Lot number info. I want to write a Lisp...

    Started by Arizona‎, 26th Jul 2016 07:02 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 444
    28th Jul 2016 04:18 am Go to last post
  12. change sign in bulk on multiple numbers

    Hi all, I have these drawings with numbers on the side, vertically placed. I need to reverse each one of the number , so for instance the 3.15 has to become -3.15 thanks in advance for any...

    Started by cat3appr‎, 27th Jul 2016 06:05 am
    • Replies: 9
    • Views: 286
    28th Jul 2016 04:13 am Go to last post
  13. AREA-Multiple

    Hello, there is a lisp to select all boundaries and generate a txt as the attached ? Thank you

    Started by gedu‎, 28th Jul 2016 02:21 am
    • Replies: 2
    • Views: 235
    28th Jul 2016 03:52 am Go to last post
  14. Dos get file filter

    I had a quick question in regards to the dos_getfilem function. I understand how to filter out for only .dwg with the function (*.dwg)|*.dwg||"), but I was curious if there is a way to show all .dwg...

    Started by broncos15‎, 25th Jul 2016 04:48 pm
    • Replies: 2
    • Views: 249
    27th Jul 2016 05:08 pm Go to last post
  15. Draw Polyline between the lisp, width is equal to distance of 2 lines

    Draw the Polyline between 2 lines, Width of the Polyline is equal to the distance between that 2 line, i have developed the lisp, some how succeeded, but for accurecy I need to pick the end point...

    Started by thejraj2k‎, 28th Jun 2016 08:05 am
    • Replies: 8
    • Views: 627
    27th Jul 2016 01:43 pm Go to last post
  16. Path Array With Dynamic Item #

    Trying to work out how to do a path array where the number of items in each row incrementally get smaller I want to fill a circle like I have shown in the example image but this is incredibly...

    Started by lobster‎, 27th Jul 2016 04:01 am
    • Replies: 2
    • Views: 222
    27th Jul 2016 01:00 pm Go to last post
  17. Lisp to change an entity layer in a nested block without entering block

    Is there a lisp that allow us to change an entity layer, in a nested block, to another predefined layer eg. defpoints. without entering the block. Been bogged down by continuously going in and...

    Started by Tripledot‎, 26th Jul 2016 01:40 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 567
    27th Jul 2016 12:39 pm Go to last post
  18. Fill Object Data fields with data in .txt file, based on ID number of pipe

    Hello everybody, I am working on a large project, so my .dwg file contains about 10 k polylines/water pipes. Each polyline/pipe has unique ID number written as a text in a circle. Each ID number...

    Started by Matej‎, 27th Jul 2016 12:37 pm
    • Replies: 0
    • Views: 149
    27th Jul 2016 12:37 pm Go to last post
  19. DCL Help

    I'm playing around with DCL and using Afralisp and Jeff Sanders. It it possible to eliminate a cancel button and only use the "X" button in the top right corner?? Here is my Lisp so far:...

    Started by jonathann3891‎, 14th Jul 2016 08:19 pm
    • Replies: 4
    • Views: 379
    26th Jul 2016 09:16 pm Go to last post
  20. need help

    Dear Every one, I have a problem with CAD and I was hoping you could help me out with it. As part of a work, there is this polygon whose all sides are single polylines; This polygon also surrounds...

    Started by reza‎, 11th Jul 2016 08:12 am
    • Replies: 2
    • Views: 405
    26th Jul 2016 09:51 am Go to last post
  21. Lisp to create "rectangle selection effect (graphic)"

    Hello, I'd like to include in a lisp routine the "rectangle selection effect" that exists in autocad. When you click any point on the screen and then a second point this effect appears. ...

    Started by sadhu‎, 22nd Jul 2016 09:02 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 449
    26th Jul 2016 09:48 am Go to last post
  22. Lisp to delete selected layers excluding blocks & wipeouts

    Found the code after looking for lisp to delete layer by wildcard. Problem is it will delete blocks & wipeouts if they are on the layer i am to delete. Please guide me on the code to exclude blocks...

    Started by ctrlaltdel‎, 26th Jul 2016 06:49 am
    • Replies: 1
    • Views: 174
    26th Jul 2016 09:15 am Go to last post
  23. Question Error: Bad Function T and quote a list with variables

    What does this Error Message mean : Error: Bad Function T? I tried to do a while loop (setq repetition 0) (if (= flag1 2) (while ((and (>= tpagen 2) (< repetition tpagen)) (setq...

    Started by sean112‎, 25th Jul 2016 07:24 pm
    • Replies: 4
    • Views: 216
    26th Jul 2016 07:14 am Go to last post
  24. Covert all blocks & blocks inside blocks to '0' layer excluding other entity

    Have many blocks & blocks within blocks that we need to convert to '0' layer excluding other entity such as lines,circles,text,dimensions.....inside this blocks. Google and found many lisp & but...

    Started by ctrlaltdel‎, 25th Jul 2016 02:23 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 370
    26th Jul 2016 06:52 am Go to last post
  25. Pick a certain frozen or off layer to on or thawed

    I want to create a lisp where when I have a frozen or thawed layer that I want to be on when I don't know exactly what layer the object I want is on. To clarify when I want a specific object to...

    Started by aharms33‎, 23rd Jul 2016 09:40 pm
    layon, laythw, lisp, xlist
    • Replies: 4
    • Views: 302
    26th Jul 2016 03:59 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts